<?php
class WPSunshine_Gallery extends WPSunshine_Data {

	protected $type = 'sunshine-gallery';

	public function __construct( $object ) {

		if ( is_numeric( $object ) ) {
			$this->id = $object;
			if ( $object > 0 ) {
				$post = get_post( $object );
				if ( empty( $post ) || $post->post_type != $this->type ) {
					return false; }
				$this->id   = $post->ID;
				$this->data = $post;
				if ( $post->post_title ) {
					$this->name = $post->post_title;
				}
			}
		} elseif ( is_a( $object, 'WP_Post' ) ) {
			if ( $object->post_type != $this->type ) {
				return false; }
			$this->data = $object;
			$this->id   = $object->ID;
		}

		if ( $this->id > 0 ) {
			$this->set_meta_data();
		}

	}

	public function get_name() {
		return $this->name;
	}

	public function get_image_directory() {
		return $this->get_meta_value( 'sunshine_gallery_images_directory' );
	}

}
